Module java.compiler
Package javax.lang.model.util

## Class AbstractTypeVisitor9<R,P>

- java.lang.Object
- - javax.lang.model.util.AbstractTypeVisitor6<R,P>
  - - javax.lang.model.util.AbstractTypeVisitor7<R,P>
    - - javax.lang.model.util.AbstractTypeVisitor8<R,P>
      - - javax.lang.model.util.AbstractTypeVisitor9<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  TypeVisitor<R,P>

    @SupportedSourceVersion(RELEASE_9)
    public abstract class AbstractTypeVisitor9<R,P>
    extends AbstractTypeVisitor8<R,P>

A skeletal visitor of types with default behavior appropriate for the `RELEASE_9` source version.

WARNING: The `TypeVisitor` interface implemented by this class may have methods added to it in the future to accommodate new, currently unknown, language structures added to future versions of the Java™ programming language. Therefore, methods whose names begin with `"visit"` may be added to this class in the future; to avoid incompatibilities, classes which extend this class should not declare any instance methods with names beginning with `"visit"`.

When such a new visit method is added, the default implementation in this class will be to call the `visitUnknown` method. A new abstract type visitor class will also be introduced to correspond to the new language level; this visitor will have different default behavior for the visit method in question. When the new visitor is introduced, all or portions of this visitor may be deprecated.

Since:
  9
See Also:
  `AbstractTypeVisitor6`, `AbstractTypeVisitor7`, `AbstractTypeVisitor8`

### Constructor Summary

Constructors
`protected` `AbstractTypeVisitor9()` Constructor for concrete subclasses to call.

### Method Summary

### Methods inherited from class javax.lang.model.util.AbstractTypeVisitor6

`visit, visit, visitUnknown`

### Methods inherited from class javax.lang.model.util.AbstractTypeVisitor7

`visitUnion`

### Methods inherited from class javax.lang.model.util.AbstractTypeVisitor8

`visitIntersection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.lang.model.type.TypeVisitor

`visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

### Constructor Detail

#### AbstractTypeVisitor9

    protected AbstractTypeVisitor9()

Constructor for concrete subclasses to call.